> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/oauth/models.md).

# Models

## The AccessTokenRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Authorization API","version":"1.0.0"},"components":{"schemas":{"AccessTokenRequest":{"type":"object","description":"See [Section 4.4.2 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-4.4.2).","properties":{"grant_type":{"type":"string","description":"Type of authorization. The only supported grant type is `client_credentials`."}},"required":["grant_type"]}}}}
```

## The AccessTokenResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Authorization API","version":"1.0.0"},"components":{"schemas":{"AccessTokenResponse":{"type":"object","description":"See [Section 5.1 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-5.1).","properties":{"access_token":{"type":"string","description":"The Base64 encoded access token."},"token_type":{"type":"string","description":"The type of access token returned. The only supported type is \"Bearer\"."},"scope":{"type":"string","description":"The scopes that have been granted for the client.\n\nThis field is omitted if the client did not request any specific scopes,\nin which case the default scopes for the client will have been granted.\n"},"expires_in":{"type":"integer","format":"int64","description":"The time in seconds until the access token is no longer valid."}}}}}}
```

## The OAuth2Error object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Authorization API","version":"1.0.0"},"components":{"schemas":{"OAuth2Error":{"type":"object","description":"See [Section 5.2 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-5.2)","properties":{"error":{"type":"string","description":"OAuth 2.0 error code defined in RFC 6749 Section 5.2."},"error_description":{"type":"string","description":"Human-readable description of the error."},"error_uri":{"type":"string","format":"uri","description":"A URI identifying a human-readable web page with information about the error."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/oauth/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
